// -*- mode: jsonc -*-
{
    "position": "left",
    "spacing": 0,
    "modules-left": [
        "hyprland/workspaces",
    ],
    "modules-center": [],
    "modules-right": [
        "pulseaudio/slider",
        "custom/audio-icon",
        "backlight/slider",
        "custom/brightness-icon",
        "clock",
        "clock#date",
        "battery",
        "network",
        // "bluetooth", // better to have blueman-applet instead
        "tray",
        "custom/power",
    ],
    // Modules configuration
    "hyprland/workspaces": {
        "on-scroll-down": "hyprctl dispatch workspace e+1",
        "on-scroll-up": "hyprctl dispatch workspace e-1",
        "all-outputs": true,
        "active-only": false,
        "warp-onscroll": false,
        "format": "{name}",
    },
    "pulseaudio/slider": {
        "min": 0,
        "max": 100,
        "orientation": "vertical",
    },
    "custom/audio-icon": {
        "format": "󰕾",
        "tooltip": false,
    },
    "custom/brightness-icon": {
        "format": "󰃠",
        "tooltip": false,
    },
    "backlight/slider": {
        "min": 30,
        "max": 100,
        "orientation": "vertical",
        "device": "intel_backlight",
    },
    "battery": {
        "bat": "BAT0",
        "format": "{icon}",
        "tooltip-format": "({capacity}%) {timeTo}",
        "interval": 60,
        "states": {
            "warning": 40,
            "critical": 20,
        },
        "format-icons": [
            "󰁺",
            "󰁻",
            "󰁼",
            "󰁽",
            "󰁾",
            "󰁿",
            "󰂀",
            "󰂁",
            "󰂂","󰁹",
        ]
    },
    "clock": {
        "format": "{:%H\n%M}",
        "tooltip": false,
    },
    "clock#date": {
        "format": "{:%m\n%d\n%y}",
        "tooltip": true,
        "tooltip-format": "<big>{:%Y %B}</big>\n<tt><big>{calendar}</big></tt>",
    },
    "network": {
        "format-wifi": "",
        "format-ethernet": "",
        "format-linked": "",
        "tooltip-format-wifi": "  {essid} ({signalStrength}%)",
        "tooltip-format-disconnected": "Disconnected",
        "format-disconnected": "󰖪",
        "on-click": "ghostty -e nmtui",
        "tooltip": true,
    },
    "bluetooth": {
        "format": "󰂯","format-connected": "󰂱",
        "format-disabled": "󰂲",
        "format-on": "","format-off": "󰂲","on-click": "blueman-manager",
    },
    "tray": {
        "icon-size": 18,
        "spacing": 5
    },
    "custom/power": {
        "format": "󰐥",
        "tooltip": true,
        "tooltip-format": "Power Menu",
        "menu": "on-click",
        "menu-file": "$HOME/.config/waybar/power_menu.xml", // Menu file in resources folder
        "menu-actions": {
            "shutdown": "shutdown",
            "reboot": "reboot",
        }
    },
}
